Bug 818808 - SELinux is preventing pkcon from 'ioctl' accesses on the fifo_file fifo_file.
SELinux is preventing pkcon from 'ioctl' accesses on the fifo_file fifo_file.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e6f7ef9043cfd858592755207ba...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 00:30 EDT by kumar kushal
Modified: 2012-06-27 23:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 23:26:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kumar kushal 2012-05-04 00:30:09 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.1-3.fc16.i686
reason:         SELinux is preventing pkcon from 'ioctl' accesses on the fifo_file fifo_file.
time:           Thu 03 May 2012 11:29:53 PM CDT

description:
:SELinux is preventing pkcon from 'ioctl' accesses on the fifo_file fifo_file.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that pkcon should be allowed ioctl access on the fifo_file fifo_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep pkcon /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:jockey_t:s0-s0:c0.c1023
:Target Context                system_u:system_r:jockey_t:s0-s0:c0.c1023
:Target Objects                fifo_file [ fifo_file ]
:Source                        pkcon
:Source Path                   pkcon
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-84.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.1-3.fc16.i686 #1 SMP Wed Apr 4
:                              19:07:24 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    Thu 03 May 2012 11:24:43 PM CDT
:Last Seen                     Thu 03 May 2012 11:24:43 PM CDT
:Local ID                      a5720136-36a1-417e-8d4b-851ad3b4f69a
:
:Raw Audit Messages
:type=AVC msg=audit(1336105483.706:76): avc:  denied  { ioctl } for  pid=2109 comm="pkcon" path="pipe:[52449]" dev="pipefs" ino=52449 scontext=system_u:system_r:jockey_t:s0-s0:c0.c1023 tcontext=system_u:system_r:jockey_t:s0-s0:c0.c1023 tclass=fifo_file
:
:
:Hash: pkcon,jockey_t,jockey_t,fifo_file,ioctl
:
:audit2allow
:
:#============= jockey_t ==============
:allow jockey_t self:fifo_file ioctl;
:
:audit2allow -R
:
:#============= jockey_t ==============
:allow jockey_t self:fifo_file ioctl;
:
Comment 1 Daniel Walsh 2012-05-04 09:21:10 EDT
Fixed in selinux-policy-3.10.0-121.fc17
Comment 2 kumar kushal 2012-05-04 10:30:56 EDT
Can you tell me how to update it in my computer.
My selinux is as following:3.10.0-84.fc16
(In reply to comment #1)
> Fixed in selinux-policy-3.10.0-121.fc17
Comment 3 Miroslav Grepl 2012-05-04 11:18:11 EDT
added also to Fedora16.

Fixed in selinux-policy-3.10.0-88.fc16

A new build will be available soon.
Comment 4 Fedora Update System 2012-06-15 06:30:57 EDT
selinux-policy-3.10.0-89.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-89.fc16
Comment 5 Fedora Update System 2012-06-15 19:52:24 EDT
Package selinux-policy-3.10.0-89.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-89.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9507/selinux-policy-3.10.0-89.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-06-27 23:26:50 EDT
selinux-policy-3.10.0-89.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.